package erp

import (
	"strings"
	"testData/global"
	"testData/model"
)

func GetFactorySelections() []string {
	var factories []string
	global.Oracle.Model(&model.PmcFile{}).Where("pmc02 IN ?", []string{"AB", "CPFT", "FT"}).Select("pmc03").Find(&factories)
	return factories
}

func GetAllProductSelection() []string {
	var products []string
	global.Oracle.Model(&model.ImaFile{}).Where("IMA06 IN ?", []string{"FT", "AB", "ABFT", "CP", "CPAB", "TR", "WF"}).
		Select("Ima02").Group("Ima02").Find(&products)
	productsMap := make(map[string]bool)
	for _, product := range products {
		s := strings.Split(product, "_")
		s1 := strings.Split(s[0], "-")
		s2 := strings.ReplaceAll(s1[0], "管装", "")
		s2 = strings.ReplaceAll(s2, "白板", "")
		productsMap[s2] = true
	}
	products = []string{}
	for product := range productsMap {
		products = append(products, product)
	}
	return products
}
